## GtkSourceCompletionInfo

GtkSourceCompletionInfo — Calltips object

## Functions

GtkSourceCompletionInfo * | gtk_source_completion_info_new ()
void | gtk_source_completion_info_move_to_iter ()

## Types and Values

| GtkSourceCompletionInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkSourceCompletionInfo

## Implemented Interfaces

GtkSourceCompletionInfo implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtksourceview/gtksource.h>

## Description

This object can be used to show a calltip or help for the current completion proposal.

The info window has always the same size as the natural size of its child widget, added with `gtk_container_add()`. If you want a fixed size instead, a possibility is to use a scrolled window, as the following example demonstrates.

Example 1. Fixed size with a scrolled window.

    1
    2
    3
    4
    5
    6
    7

    GtkSourceCompletionInfo *info;
    GtkWidget *your_widget;
    GtkWidget *scrolled_window = gtk_scrolled_window_new (NULL, NULL);

    gtk_widget_set_size_request (scrolled_window, 300, 200);
    gtk_container_add (GTK_CONTAINER (scrolled_window), your_widget);
    gtk_container_add (GTK_CONTAINER (info), scrolled_window);

If the calltip is displayed on top of a certain widget, say a GtkTextView, you should attach the calltip window to the GtkTextView with `gtk_window_set_attached_to()`. By doing this, the calltip will be hidden when the “focus-out-event” signal is emitted by the GtkTextView. You may also be interested by the “cursor-position” property (when its value is modified). If you use the GtkSourceCompletionInfo through the GtkSourceCompletion machinery, you don't need to worry about this.

## Functions

### gtk_source_completion_info_new ()

    GtkSourceCompletionInfo *
    gtk_source_completion_info_new (void);

#### Returns

a new GtkSourceCompletionInfo.

### gtk_source_completion_info_move_to_iter ()

    void
    gtk_source_completion_info_move_to_iter
                                   (GtkSourceCompletionInfo *info,
                                    GtkTextView *view,
                                    GtkTextIter *iter);

Moves the GtkSourceCompletionInfo to `iter` . If `iter` is `NULL` `info` is moved to the cursor position. Moving will respect the GdkGravity setting of the info window and will ensure the line at `iter` is not occluded by the window.

#### Parameters

info | a GtkSourceCompletionInfo. |
view | a GtkTextView on which the info window should be positioned. |
iter | a GtkTextIter. | [nullable]

## Types and Values

### GtkSourceCompletionInfo

    typedef struct _GtkSourceCompletionInfo GtkSourceCompletionInfo;